use serde::{Deserialize, Serialize};

#[derive(Default, Debug, Clone, PartialEq, Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ScoreResponse {
    #[serde(rename = "$ref")]
    pub ref_field: String,
    pub value: f64,
    pub display_value: String,
    pub winner: bool,
    pub source: ScoreSource,
}

#[derive(Default, Debug, Clone, PartialEq, Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ScoreSource {
    pub id: String,
    pub description: String,
}
